#!/usr/bin/python

# Copyright (C) 2012 Daniele Varrazzo <daniele.varrazzo@gmail.com>

# $Id: rst2html.py 4564 2006-05-21 20:44:42Z wiemann $
# Author: David Goodger <goodger@python.org>
# Copyright: This module has been placed in the public domain.

"""
Render a sphinx file to HTML.

The script is not complete as sphinx, but is file-oriented. The effort is to
write complete HTML, it is expected that the symlinks will be missing.
"""

try:
    import locale
    locale.setlocale(locale.LC_ALL, '')
except:
    pass

from docutils.core import publish_cmdline, default_description


description = ('Generates (X)HTML documents from Sphinx reStructuredText.  '
               + default_description)

# Import the modules has the side effect to register the directives
import sphinx.directives
import sphinx.directives.code
import sphinx.directives.other

publish_cmdline(writer_name='html', description=description)
